<!DOCTYPE html>
<html>
    <head>
        <title>Highschool Online | Tutor Panel</title>
        <meta charset="utf-8">
        <link rel="shortcut icon" type="image/png" href="../assets/img/logo.png"/>
        <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Domine" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="../assets/css/uikit.min.css" />
        <script src="../assets/js/uikit.min.js"></script>
        <script src="../assets/js/uikit-icons.min.js"></script>
        <style>
            * {
                font-family: 'Roboto', sans-serif!important;
                /*border-radius: 5px!important;*/
            }
            ul li {
              font-family: 'Raleway', sans-serif!important;
            }
            .uk-border-circle {
                border-radius: 100%!important;
            }
            h1, h1>span, h2, h3, h4 {
                font-family: 'Domine', serif!important;
            }
            .uk-navbar-item, .uk-navbar-nav>li>a, .uk-navbar-toggle {
                min-height: 60px!important;
            }
        </style>
    </head>
    <body class="uk-visible@m uk-flex-inline uk-background-muted">
        <div class="uk-container uk-padding uk-position-center">
            <div class="uk-card uk-card-default">
                <form>
                    <div class="uk-card-header"><h2 class="uk-card-title uk-text-bold uk-h2">Sign In - Tutor Panel <small>(Tutors Only)</small> </h2></div>
                    <div class="uk-card-body">
                        <div class="uk-margin">
                            <input required type="email" class="uk-input" autocomplete="username" name="email" placeholder="Enter Your Given email Address">
                        </div>
                        <div class="uk-margin">
                            <input required type="password" class="uk-input" autocomplete="password" name="password" placeholder="Enter Your Password">
                        </div>
                    </div>
                    <div class="uk-card-footer uk-text-right">
                        <a href="/tutor/register"><small>Not Registered yet? Click here</small></a><br>
                        <button type="submit" class="uk-button uk-button-primary verify">Sign In</button>
                    </div>
                </form>
            </div>
        </div>
    </body>

    <div class="uk-alert uk-alert-success uk-container uk-position-top-center uk-hidden" style="z-index: 1000000" uk-alert>
        <a class="uk-alert-close" uk-close></a>
        <p class="success-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>
    </div>
    <div class="uk-alert uk-alert-danger uk-container uk-position-top-center uk-hidden" style="z-index: 1000000" uk-alert>
        <a class="uk-alert-close" uk-close></a>
        <p class="error-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>
    </div>
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-auth.js"></script>
    <!-- <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-database.js"></script> -->
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-firestore.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-storage.js"></script>
    <script src="../assets/js/config.js"></script>
    <script>
        let email = '', phone = '', ___data = {}

        $('form').on('submit', function(e) {
            e.preventDefault()
            firebase.auth().signInWithEmailAndPassword($('form').find('[name="email"]').val(), $('form').find('[name="password"]').val())
            .catch(function(error) {
              // Handle Errors here.
              console.log(error)
              var errorCode = error.code;
              var errorMessage = error.message;
              alert('Sorry, we\'re having troubles signing you in. Please try again later')
              // ...
            });
        })

        firebase.auth().onAuthStateChanged(function(user) {
          if (user) {
            // User is signed in.
            firebase.firestore().collection('teachers').doc(user.uid).get()
            .then(function(doc) {
                if (doc.exists) {
                    if (doc.data().verified == true) {
                        window.location.href = '/tutor/home'
                        // top code will come here after a few touch ups
                    } else {
                        window.location.href = '/tutor/register'
                    }
                } else {
                    firebase.auth().signOut()
                }
            })
            // ...
          } else {
            // User is signed out.
            // ...
          }
        });
    </script>

</html>